class PrRuby::CLI

  def call
   puts "Welcome to Practicing Ruby!"
   PrRuby::Scraper.new.scrape_article_info
   menu
   goodbye
  end

  def list_articles
   puts "Here is a list of Ruby Articles to browse:"
    PrRuby::Letter.all.each_with_index do |letter, i|
      puts "#{i+1}. #{letter.title}"
    end
end

   def menu
    list_articles
    input = nil
    while input != "exit"
      puts "Enter the number of the article you would like to read."
    input = gets.strip.downcase

    if input.to_i <= PrRuby::Letter.all.size
      letter = PrRuby::Letter.all[input.to_i-1]

      puts "Title: #{letter.title}"
      puts "Summary: #{letter.summary}"
      puts "Would you like to read the rest of the article? If not please type 'list' to return to the list of articles or 'exit' to exit the program."

      answer = gets.strip.upcase

     if answer == "YES" || answer == "Y"
       puts letter.content
     elsif answer == "LIST"
        list_articles
      else
        ""
        goodbye
      exit
     end
    end
  end
end

  def goodbye
    puts "Thanks for taking a look!"
  end
end
